# Paramètre de type "texte"

Dans l'exemple précédent :

```
<param type="string">no</param>
```

Le paramètre est de type texte (ou "string").
C'est le type par défaut pour un paramètre.

# Paramètre de type "nombre"

Déclarons un paramètre avec un nombre :

```
<param type="number">1</param>
```

Créons la fonction correspondante :

```
def return_value_with_number(value):
    if value == 1:
        return 'no'
    return 'yes'
```

La variable aura donc "no" comme valeur puisque le paramètre aura la valeur fixe "1".

# Paramètre de type "nil"

Le paramètre peut être une valeur null (None en python) :

```
<param type="nil"/>
```
